#define A0 P3_B0
#define A1 P3_B1
#define MR P3_B6
#define LE P3_B7

void send_to_spi (unsigned char codew, int ort){
	int i = 0;
	
	//Latchmodus whlen --> Adressierbares Latch
	LE = 0;
	MR = 1;
	
	//Welche Multiplexerausgang soll gewhlt werden???
	switch (ort){
		case 0: { 		//DA Wandler aktiviert
				A0 = 0;
				A1 = 0;
				_wait_ms(100);
				break;
				}
		case 1: {		//Vorkomma - Siebensegment - Glied aktiviert				
				A0 = 1;
				A1 = 0;
				_wait_ms(100);
				break;
				}
		case 2: {		//Nachkomma - Sebensegment - Glied aktiviert
				A0 = 0;
				A1 = 1;
				break;
				}
	}

	SPDAT = codew;						//codwwort ins SPI Register schreiben!!!
	SPCON = 0xF2;						//SPI eingeschaltet
	
	while ((SPSTA & 0x80) != 0x80){		//Solange das Data Flag nicht 1 ist --> Lauflichtanzeige
		for (i = 7; i >= 0; i--){
			P0 = (unsigned char) (255 - pow(2,i));
			_wait_ms(100);
		}
	}
	P0 = 0xFF;
}